Templates
Get template detail
GET
/
v1
/
templates
/
{templateID}
Get template detail
curl --request GET \
--url https://api.wazapin.com/v1/templates/{templateID} \
--header 'Authorization: Bearer <token>'{
"data": {
"body_text": "<string>",
"category": "<string>",
"components_json": "<unknown>",
"created_at": "<string>",
"header_format": "<string>",
"id": "<string>",
"language": "<string>",
"name": "<string>",
"organization_id": "<string>",
"status": "<string>",
"updated_at": "<string>",
"builder_json": "<unknown>",
"builder_version": 123,
"buttons": [
{
"text": "<string>",
"type": "<string>",
"phone_number": "<string>",
"url": "<string>"
}
],
"channel_id": "<string>",
"editor_mode": "<string>",
"footer_text": "<string>",
"header_handle": "<string>",
"header_text": "<string>",
"meta_synced_at": "<string>",
"meta_template_id": "<string>",
"quality_score": "<string>",
"rejection_reason": "<string>",
"variables": [
{
"component_type": "<string>",
"display_name": "<string>",
"example_value": "<string>",
"id": "<string>",
"position": 123,
"source_type": "<string>",
"source_key": "<string>"
}
]
}
}⌘I
Get template detail
curl --request GET \
--url https://api.wazapin.com/v1/templates/{templateID} \
--header 'Authorization: Bearer <token>'{
"data": {
"body_text": "<string>",
"category": "<string>",
"components_json": "<unknown>",
"created_at": "<string>",
"header_format": "<string>",
"id": "<string>",
"language": "<string>",
"name": "<string>",
"organization_id": "<string>",
"status": "<string>",
"updated_at": "<string>",
"builder_json": "<unknown>",
"builder_version": 123,
"buttons": [
{
"text": "<string>",
"type": "<string>",
"phone_number": "<string>",
"url": "<string>"
}
],
"channel_id": "<string>",
"editor_mode": "<string>",
"footer_text": "<string>",
"header_handle": "<string>",
"header_text": "<string>",
"meta_synced_at": "<string>",
"meta_template_id": "<string>",
"quality_score": "<string>",
"rejection_reason": "<string>",
"variables": [
{
"component_type": "<string>",
"display_name": "<string>",
"example_value": "<string>",
"id": "<string>",
"position": 123,
"source_type": "<string>",
"source_key": "<string>"
}
]
}
}